package org.example.basictrekking;

/**
 * Created by Cristina on 16/11/2015.
 */

import android.app.Activity;
import android.content.Intent;
import android.net.Uri;
import android.os.Bundle;
import android.view.View;
import android.view.animation.Animation;
import android.view.animation.AnimationUtils;
import android.widget.Button;
import android.widget.TextView;

/**
 * Created by Cristina on 08/09/2015.
 */
public class AcercaDe extends Activity {

    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.acercade);

        TextView mensaje = (TextView) findViewById(R.id.TextView01);
        Animation aparecer = AnimationUtils.loadAnimation(this, R.anim.aparecer);
        mensaje.startAnimation(aparecer);

        Button blugar = (Button) findViewById(R.id.lugar);
        Animation derecha = AnimationUtils.loadAnimation(this, R.anim.desplazamiento_izquierda);
        blugar.startAnimation(derecha);

        Button bemail = (Button) findViewById(R.id.email);
        Animation izquierda = AnimationUtils.loadAnimation(this, R.anim.desplazamiento_derecha);
        bemail.startAnimation(izquierda);
    }


    // Para visualizar ciclo de vida
    @Override protected void onStart() {
        super.onStart();
    }
    @Override protected void onResume() {
        super.onResume();
    }
    @Override protected void onPause() {
        super.onPause();
    }

    @Override protected void onStop() {
        super.onStop();
    }

    @Override protected void onRestart() {
        super.onRestart();
    }

    @Override protected void onDestroy() {
        super.onDestroy();
    }

    public void googleMaps(View view) {
        Intent intent = new Intent(Intent.ACTION_VIEW,
                Uri.parse("geo:37.3938473,-5.9864789"));
        startActivity(intent);
    }

    public void mandarCorreo(View view) {
        Intent intent = new Intent(Intent.ACTION_SEND);
        intent.setType("text/plain");
        intent.putExtra(Intent.EXTRA_SUBJECT, getString(R.string.asuntoMail));
        intent.putExtra(Intent.EXTRA_TEXT, getString(R.string.textoMail));
        intent.putExtra(Intent.EXTRA_EMAIL, new String[]{getString(R.string.direccionMail)});
        startActivity(intent);
    }
}

