package org.example.basictrekking;

import android.content.Context;
import android.database.sqlite.SQLiteDatabase;
import android.database.sqlite.SQLiteOpenHelper;

/**
 * Created by Cristina on 14/11/2015.
 */
public class PhotosDB extends SQLiteOpenHelper {
    /** Nombre de la base de datos */
    private static String DBNAME = "photosSQLite";

    /** Versión de la base de datos */
    private static int VERSION = 1;

    /** SQLiteDatabase */
    private SQLiteDatabase photosDB;

    /** Constructor */
    public PhotosDB(Context context) {
        super(context, DBNAME, null, VERSION);
        this.photosDB = getWritableDatabase();
    }

    /** This is a callback method, invoked when the method getReadableDatabase() / getWritableDatabase() is called
     * provided the database does not exists
     * */
    @Override
    public void onCreate(SQLiteDatabase db) {
        db.execSQL("CREATE TABLE photos (" +
                "_id INTEGER PRIMARY KEY AUTOINCREMENT, " +
                "track TEXT, " +
                "foto TEXT, " +
                "latitud REAL, " +
                "longitud REAL)");
    }

    @Override
    public void onUpgrade(SQLiteDatabase db, int oldVersion, int newVersion) {
    }

}
