package org.example.basictrekking;

import android.content.Context;
import android.database.Cursor;
import android.database.sqlite.SQLiteDatabase;
import android.database.sqlite.SQLiteOpenHelper;

import java.util.Vector;

/**
 * Created by Cristina on 11/11/2015.
 */
public class AlmacenTracksSQLite extends SQLiteOpenHelper implements AlmacenTracks{
    private Context contexto;
    public AlmacenTracksSQLite(Context context) {
        super(context, "tracks", null, 1);
        contexto = context;
    }
    //Métodos de SQLiteOpenHelper
    @Override public void onCreate(SQLiteDatabase db) {
        db.execSQL("CREATE TABLE tracks ("+
                "_id INTEGER PRIMARY KEY AUTOINCREMENT, "+
                "nombre TEXT, fecha TEXT)");
    }
    @Override public void onUpgrade(SQLiteDatabase db, int oldVersion, int newVersion) {
        // En caso de una nueva versión habría que actualizar las tablas
    }

    //Métodos de AlmacenTracks
    public void guardarTrack(String nombre, String fecha) {
        //Toast.makeText(contexto, "Base de datos SQLite", Toast.LENGTH_LONG).show();
        SQLiteDatabase db = getWritableDatabase();
        db.execSQL("INSERT INTO tracks (nombre, fecha) "+ "VALUES ( '"+ServicioTrack.nombre+"', '"+MainActivity.fechaTrack+"')");
        db.close();
    }
    public Vector<String> listaTracks(int cantidad) {
        Vector<String> result = new Vector<String>();
        SQLiteDatabase db = getReadableDatabase();
        //Cursor cursor = db.rawQuery("SELECT puntos, nombre FROM " + "puntuaciones ORDER BY puntos DESC LIMIT " +cantidad, null);

        String[] CAMPOS = {"nombre", "fecha"};
        Cursor cursor=db.query("tracks", CAMPOS, null, null, null, null, "fecha DESC", Integer.toString(cantidad));

        while (cursor.moveToNext()){
            result.add(cursor.getString(0)+" " +cursor.getString(1));
        }
        cursor.close();
        db.close();
        return result;
    }

}
